import { Component } from 'inferno';

export class Home extends Component<any, any> {

  render() {
    return (
      <div class="container">
        {this.onboard()}
      </div>
    )
  }

  onboard() {
    let site: string = "https://gitlab.com/dessalines/torrents.csv";
    return (
      <div>
        <br />
        <a href={site}>Torrents.csv</a> is a collaborative, <b>vetted</b> git repository of torrents, consisting of a single, searchable <code>torrents.csv</code> file. Its initially populated with a January 2017 backup of the pirate bay, and new torrents are periodically added from various torrents sites via a rust script.<br></br><br></br>
        <a href={site}>Torrents.csv</a> will only store torrents with at least one seeder to keep the file small, and will be periodically purged of non-seeded torrents, and sorted by seeders descending.<br></br><br></br>
        To request more torrents, or add your own to the file, go <a href={site}>here</a>.<br></br><br></br>
        Made with <a href="https://www.rust-lang.org">Rust</a>, <a href="https://github.com/BurntSushi/ripgrep">ripgrep</a>, <a href="https://actix.rs/">Actix</a>, <a href="https://www.infernojs.org">Inferno</a>, and <a href="https://www.typescriptlang.org/">Typescript</a>.

      </div>
    );
  }

}

